/* Background */
.admin-login-body {
    margin: 0;
    height: 100vh;
    background: linear-gradient(135deg, #f5f7fa, #fff7cf);
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Poppins', sans-serif;
}

/* Wrapper */
.login-wrapper {
    width: 100%;
    max-width: 500px;
}

/* Card */
.login-card {
    background: #fff;
    padding: 50px 35px;
    border-radius: 14px;
    box-shadow: 0 15px 40px rgba(0,0,0,0.08);
    text-align: center;
    height:450px;
}

.login-card form {
    margin-top: 50px;
}

/* Heading */
.login-card h2 {
    margin-bottom: 5px;
}

.sub-text {
    font-size: 14px;
    color: #777;
    margin-bottom: 25px;
}

/* Inputs */
.input-group {
    margin-bottom: 18px;
}

.input-group input {
    width: 95%;
    padding: 12px;
    border-radius: 10px;
    border: 1px solid #ddd;
    outline: none;
    transition: 0.3s;
}

.input-group input:focus {
    border-color: #000;
    box-shadow: 0 0 0 2px rgba(0,0,0,0.05);
}

/* Button */
.login-btn {
    width: 140px;
    padding: 12px 0px;
    background: black;
    color: white;
    border: none;
    border-radius: 10px;
    cursor: pointer;
    transition: 0.3s;
    font-size: 15px;
}

.login-btn:hover {
    background: #333;
}

/* Error */
.error {
    color: red;
    margin-top: 10px;
    font-size: 14px;
}


/* Mobile */
@media (max-width: 767px) {

    .login-wrapper {
        padding: 15px;

    }

    .login-card {
        border-radius: 10px;
    }

    .login-card h2 {
        font-size: 20px;
    }

    .sub-text {
        font-size: 13px;
        margin-bottom: 18px;
    }

    .input-group input {
        padding: 9px 10px;
        font-size: 13px;
        border-radius: 6px;
    }

    .login-btn {
        padding: 10px;
        font-size: 13px;
        border-radius: 6px;
    }
}


/* Tablet */
@media (min-width: 768px) and (max-width: 991px) {

    .login-wrapper {
        max-width: 85%;
        padding: 20px;
    }

    .login-card {
        padding: 80px 20px !important;
    }

    .login-card h2 {
        font-size: 22px;
    }

    .input-group input {
        padding: 10px;
        font-size: 14px;
    }

    .login-btn {
        padding: 11px;
    }
}



/* Filter bar */
.filter-bar {
    display: flex;
    gap: 10px;
    margin-bottom: 20px;
}

.filter-bar input,
.filter-bar select {
    padding: 8px 10px;
    border-radius: 6px;
    border: 1px solid #ddd;
}

/* Table */
.blog-table {
    width: 100%;
    border-collapse: collapse;
}

.blog-table th,
.blog-table td {
    padding: 12px;
    border-bottom: 1px solid #eee;
    text-align: left;
}

/* Status */
.status {
    padding: 5px 10px;
    border-radius: 6px;
    font-size: 12px;
}

.status.published {
    background: #d4f5e9;
    color: green;
}

.status.draft {
    background: #fde4e4;
    color: red;
}

/* Buttons */
.btn-edit {
    background: #000;
    color: #fff;
    padding: 6px 10px;
    border-radius: 5px;
    text-decoration: none;
}

.btn-delete {
    background: red;
    color: #fff;
    border: none;
    padding: 6px 10px;
    border-radius: 5px;
    cursor: pointer;
}

/* Pagination */
.pagination {
    margin-top: 20px;
}


.admin-container {
    max-width: 800px;
    margin: auto;
    padding: 40px 20px;
}

.input {
    width: 100%;
    padding: 12px;
    margin-bottom: 12px;
    border-radius: 8px;
    border: 1px solid #ddd;
}

.btn {
    padding: 12px 20px;
    background: black;
    color: white;
    border: none;
    border-radius: 8px;
    cursor: pointer;
}

.table-wrapper {
    background: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 5px 20px rgba(0,0,0,0.05);
}

.page-title {
    margin-bottom: 20px;
}

.table-top {
    display: flex;
    justify-content: space-between;
    margin-bottom: 15px;
}

.search-btn, .add-btn {
    background: #000;
    color: #fff;
    border: none;
    padding: 10px 18px;
    border-radius: 8px;
    cursor: pointer;
    text-decoration: none;
    font-size: 16px;
}

.custom-table {
    width: 100%;
    border-collapse: collapse;
}

.custom-table thead {
    background: #f1f1f1;
}

.custom-table th, .custom-table td {
    padding: 12px;
    text-align: left;
    border-bottom: 1px solid #eee;
}

.custom-table tr:hover {
    background: #fafafa;
}

.actions {
    display: flex;
    gap: 10px;
}

.edit {
    color: #1da1f2;
    text-decoration: none;
}

.delete {
    background: none;
    border: none;
    color: red;
    cursor: pointer;
}

.form-wrapper {
    background: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 5px 20px rgba(0,0,0,0.05);
}

.form-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
}

.back-btn {
    background: #000000;
    color: #fff;
    padding: 8px 12px;
    border-radius: 6px;
    text-decoration: none;
}

.form-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

.form-group {
    display: flex;
    flex-direction: column;
}

.form-group label {
    margin-bottom: 8px;
    font-weight: 500;
}

.form-group input,
.form-group textarea {
    padding: 14px;
    border-radius: 6px;
    border: 1px solid #ddd;
    outline: none;
}

.form-group input:focus,
.form-group textarea:focus {
    border-color: #1da1f2;
}

.preview-img {
    width: 150px;
    border-radius: 8px;
    margin-top: 10px;
}

.full-width {
    grid-column: span 4;
    margin-top: 15px;
}

.form-submit {
    text-align: center;
    margin-top: 20px;
}

select {
    padding: 13px;
}

.save-btn {
    background: #000000;
    color: #fff;
    border: none;
    padding: 12px 18px;
    border-radius: 8px;
    cursor: pointer;
}

.save-btn:hover {
    background: #000000;
}

.success-msg {
    background: #d4edda;
    color: #155724;
    padding: 10px;
    border-radius: 6px;
    margin-bottom: 15px;
}

.pagination-wrapper {
    margin-top: 25px;
    display: flex;
    justify-content: center;
}

/* remove default ugly styles */
.pagination-wrapper svg {
    width: 16px;
    height: 16px;
}

/* pagination container */
.pagination-wrapper nav {
    display: flex;
    align-items: center;
    gap: 6px;
}

/* links */
.pagination-wrapper a,
.pagination-wrapper span {
    padding: 8px 12px;
    border-radius: 6px;
    background: #f1f1f1;
    color: #333;
    text-decoration: none;
    font-size: 14px;
}

/* active */
.pagination-wrapper .active span {
    background: #1da1f2;
    color: #fff;
}

/* hover */
.pagination-wrapper a:hover {
    background: #1da1f2;
    color: #fff;
}

.flex.gap-2.items-center.justify-between.sm\:hidden {
    display: none;
}



